Bug 1204795 (CVE-2015-8079) - CVE-2015-8079 qt5-qtwebkit: QtWebKit logs visited URLs to WebpageIcons.db in private browsing mode
Summary: CVE-2015-8079 qt5-qtwebkit: QtWebKit logs visited URLs to WebpageIcons.db in ...
Status: CLOSED UPSTREAM
Alias: CVE-2015-8079
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20150318,reported=2...
Keywords: Security
Depends On: 1204796 1204797 1204798 1204799
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-23 14:04 UTC by Vasyl Kaigorodov
Modified: 2019-06-08 20:30 UTC (History)
9 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2019-06-08 02:40:23 UTC


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2015-03-23 14:04:30 UTC
QtWebKit upstream are reviewing a patch that prevents it recording visited URLs to its favicon database (WebpageIcons.db) while using private browsing mode:

- https://codereview.qt-project.org/#/c/108936/

Comment 1 Vasyl Kaigorodov 2015-03-23 14:05:17 UTC
Created qt5-qtwebkit tracking bugs for this issue:

Affects: fedora-all [bug 1204796]
Affects: epel-all [bug 1204797]

Comment 2 Vasyl Kaigorodov 2015-03-23 14:05:19 UTC
Created mingw-qt5-qtwebkit tracking bugs for this issue:

Affects: fedora-all [bug 1204798]
Affects: epel-all [bug 1204799]

Comment 3 Fedora Update System 2015-04-09 16:57:48 UTC
qt5-qtwebkit-5.4.1-4.el7 has been pushed to the Fedora EPEL 7 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2015-04-17 02:30:24 UTC
qt5-qtwebkit-5.4.1-4.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2015-04-21 18:37:48 UTC
qtwebkit-2.3.4-6.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2015-04-21 18:39:10 UTC
qtwebkit-2.3.4-6.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Fedora Update System 2015-04-21 18:58:33 UTC
qt5-qtwebkit-5.4.1-4.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2015-04-21 19:13:43 UTC
qtwebkit-2.3.4-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 9 Fedora Update System 2015-04-21 19:15:22 UTC
qt5-qtwebkit-5.4.1-4.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 10 Vasyl Kaigorodov 2015-11-02 13:11:18 UTC
I don't think a CVE was requested for this issue.
Can this be done now?

Comment 11 Fabio Olive Leite 2015-11-05 12:51:42 UTC
Switching needinfo from the generic team alias to Adam Maris for following up.

Comment 12 Adam Mariš 2015-11-05 15:02:13 UTC
CVE request:

http://seclists.org/oss-sec/2015/q4/224

Comment 13 Product Security DevOps Team 2019-06-08 02:40:23 UTC
This CVE Bugzilla entry is for community support informational purposes only as it does not affect a package in a commercially supported Red Hat product. Refer to the dependent bugs for status of those individual community products.


Note You need to log in before you can comment on or make changes to this bug.